scala.tools.nsc.typechecker.MethodSynthesis

# synthesisUtil

#### object synthesisUtil

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. synthesisUtil
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type CT[T] = ClassTag[T]

2. #### type TT[T] = reflect.api.JavaUniverse.TypeTag[T]

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def ValOrDefDef(sym: Global.Symbol, body: Global.Tree): Global.ValOrDefDef with Serializable

7. #### def applyType[CC[X1, X2, X3], X1, X2, X3](implicit t1: TT[CC[_, _, _]], t2: TT[X1], t3: TT[X2], t4: TT[X3]): Global.Type

8. #### def applyType[CC[X1, X2], X1, X2](implicit t1: TT[CC[_, _]], t2: TT[X1], t3: TT[X2]): Global.Type

9. #### def applyType[CC[X1], X1](implicit t1: TT[CC[_]], t2: TT[X1]): Global.Type

10. #### def applyType[CC](implicit t1: TT[CC]): Global.Type

11. #### def applyTypeInternal(tags: List[TT[_]]): Global.Type

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def companionType[T](implicit ct: CT[T]): Global.Type

15. #### def deriveAnnotations(initial: List[Global.AnnotationInfo], category: Global.Symbol, keepClean: Boolean): List[Global.AnnotationInfo]

    The annotations amongst those found on the original symbol which should be propagated to this kind of accessor.

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def newMethodType[F](owner: Global.Symbol)(implicit t: TT[F]): Global.Type

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped